local Sorcerer = ...

-- Register all great ladder building parts and their properties
Sorcerer:dofile("scripts/sorcererHouse2.lua")

-- Register the great ladder monument
Sorcerer:register({
	DataType = "MONUMENT",
	Id = "SORCERER_MONUMENT",
	Name = "SORCERER_MONUMENT_NAME",
	Description = "SORCERER_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "SORCERER2_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "SORCERER2_ROOT_PART"
	                }
                 }
        },
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})