local Sorcerer = ...

-- Register sorcerer job
Sorcerer:registerAssetId("models/SorcererVest.png", "HABITS_TEXTURE")

Sorcerer:register({
	DataType = "MATERIAL",
	Id = "SORCERER_MATERIAL",
        AlbedoColor = COL_WHITE,
	AlbedoTexture = "HABITS_TEXTURE"
})

Sorcerer:register({
	DataType = "JOB",
	Id = "SORCERER",
	JobName = "SORCERER_NAME",
	JobDescription = "SORCERER_DESC",
	JobAnimation = "IDLE",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        MaleHatModel = "SORCERER_CHAPEAU_POINTU_PREFAB",
        FemaleHatModel = "SORCERER_CHAPEAU_POINTU_PREFAB",
        ToolModel = "SORCERER_BALAI_PREFAB",
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
        MaleJobMaterial = "SORCERER_MATERIAL"        
})
